#include "atom.h"
#include "num.h"

atom::atom(base *p,char *n,texture *t) :
	body(p,n,t)
{
	numtype = NUM_ATOM;
}

atom::atom(base *p,char *n,Vector3 &vs,Vector3 &vr,Vector3 &vt) :
	body(p,n,0,vs,vr,vt)
{
	numtype = NUM_ATOM;
}

atom::atom(base *p,char *n,texture *t,Vector3 &vs,Vector3 &vr,Vector3 &vt) :
	body(p,n,t,vs,vr,vt)
{
	numtype = NUM_ATOM;
}

atom::atom(base *p,atom *ac) :
	body(p,(body*)ac)
{
	numtype = NUM_ATOM;
}

atom::~atom()
{
}

void	atom::dumpNames(int tab,int)
{
	printTab(stdout,tab);
	printf("box: %s\n",name);
}



