#ifndef __ATOM__
#define __ATOM__

#include "body.h"

class atom : public body
{
public:
	atom(base *parent = NULL,char *name = "Untitled",texture *t=0);
	atom(base*,char*,Vector3&,Vector3&,Vector3&); 
	atom(base*,char*,texture*,Vector3&,Vector3&,Vector3&); 
	atom(base*,atom*); 
	~atom();

	virtual int	exportPOV(FILE*,int tab,int tabsize) = 0; 

	virtual int	addToParent(base*) = 0;
	virtual int	removeFromParent() = 0;

	virtual void	dumpNames(int,int);

	virtual int	draw(view*,Matrix44) = 0; 
};


#endif

