#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "blobobj.h"

blobobj::blobobj(base *p,char *n,double st,texture *t) :
	csgobj(p,n,t)
{
	numtype = NUM_BLOBOBJ;
	strength = st;
}

blobobj::blobobj(base *p,char *n,double st,Vector3 &vs,Vector3 &vr,Vector3 &vt) :
	csgobj(p,n,vs,vr,vt)
{
	numtype = NUM_BLOBOBJ;
	strength = st;
}

blobobj::blobobj(base *p,char *n,double st,texture *t,Vector3 &vs,Vector3 &vr,Vector3 &vt) :
	csgobj(p,n,t,vs,vr,vt)
{
	numtype = NUM_BLOBOBJ;
	strength = st;
}

blobobj::blobobj(base *p,blobobj *bc) :
	csgobj(p,(csgobj*)bc)
{
	numtype = NUM_BLOBOBJ;
	strength = bc->strength;
}

blobobj::~blobobj()
{
}

int	blobobj::isBlobObject()
{
	return (parent->getType() == NUM_BLOB);
}



