#ifndef __CONE_H__
#define __CONE_H__

#include <stdio.h>
#include "csgobj.h"

class cone : public csgobj
{
protected:
	double	cap_radius;

public:
	cone(base *b=0,char *n="Untitled",double r=0,texture *t=0);
	cone(base *b,char *n,double r,Vector3&,Vector3&,Vector3&);
	cone(base *b,char *n,double r,texture *t,Vector3&,Vector3&,Vector3&);
	cone(base *b,cone *cc);
	~cone();

	virtual int	addToParent(base *p);
	virtual int	removeFromParent();

	virtual base	*copy(base*);

	virtual int	exportPOV(FILE *, int , int);
	virtual void	dumpNames(int , int);

	virtual	int	save(FILE*);
	virtual	int	load(FILE*,int);

	virtual int	draw(view*,Matrix44);
	virtual int	calculate();
};

#endif
