#ifndef __CYLINDER_H__
#define __CYLINDER_H__

#include <stdio.h>
#include "blobobj.h"
#include "view.h"

class cylinder:public blobobj
{
public:

	cylinder(base *b=0,char *n="Untitled",double st=1,texture *t=0);
	cylinder(base *b,char *n,double st,Vector3&,Vector3&,Vector3&);
	cylinder(base *b,char *n,double st,texture *t,Vector3&,Vector3&,Vector3&);
	cylinder(base *b,cylinder *cc);
	~cylinder();

	virtual int	exportPOV(FILE *, int, int);
	virtual void	dumpNames(int, int);

	virtual int	addToParent(base *);
	virtual int	removeFromParent(); 

	virtual base	*copy(base*);

	virtual int	save(FILE*);	
	virtual int	load(FILE*,int);

	virtual int	draw(view*,Matrix44);
	virtual int	calculate();
};

#endif	
