#ifndef __SPHERE_H__
#define __SPHERE_H__

#include "blobobj.h"


class sphere : public blobobj
{
public:
	sphere(base *p=0,char *n="Untitled",double st = 2,texture *t=0);
	sphere(base *p,char *n,double st,Vector3&,Vector3&,Vector3&);
	sphere(base *p,char *n,double st,texture *t,Vector3&,Vector3&,Vector3&);
	sphere(base *p,sphere *sc);
	~sphere();

	virtual int	addToParent(base *p);
	virtual int	removeFromParent();

	virtual base	*copy(base*);

	virtual int	exportPOV(FILE *f, int tab, int tabsize);
	virtual void	dumpNames(int tab, int tabsize);

	virtual int	save(FILE*);
	virtual int	load(FILE*,int);

	virtual int	draw(view*,Matrix44);

	virtual int	calculate();
};

#endif


