//
// k3de - KDE
//

#include <kapp.h>

#include "mainwin.h"

KApplication	*k3deapp;

int	main(int argc,char **argv)
{
	MainWin	*win;

	k3deapp = new KApplication(argc,argv,"k3de");
	if ( k3deapp->isRestored() )
	{
		int n = 1;

		while (KTopLevelWidget::canBeRestored(n))
		{	
			MainWin *tl = new MainWin();
			tl->restore(n);
			n++;
		}

	} 
	else
	{

		win = new MainWin();

		k3deapp->setMainWidget(win);

		win->resize(700,500);
		win->setMaximumSize(1000,700);
		win->setMinimumSize(500,200);

		win->show();
	}

	return k3deapp->exec();
}

