#ifndef __COLORMAP_H__
#define __COLORMAP_H__

#include <qframe.h> 
#include <qlabel.h> 
#include <qstring.h> 

#include <kcolorbtn.h> 
#include <qspinbox.h>
#include <qpushbutton.h>
//#include <qslider.h>

class QSlider;

#include "colorflowwidget.h"

class	ColorMapWidget : public QWidget
{
Q_OBJECT
protected:

	KColorButton		*colorbt;
	ColorFlowWidget		*colorflow;
	QPushButton		*add,*del;
	QSpinBox		*value;
	QSlider			*slider;
	int			slidervalue;

public:
	
	ColorMapWidget(QWidget *parent);
	~ColorMapWidget();

	void		addColor(color);
	color		getColor(int);
	int		nColors();

public slots:

	void	addColorValue();
	void	delColorValue();

	void	changeValue(int);
	void	changeEntry(int);

	void	changeColor(const QColor&);

public:

	void	paintEvent(QPaintEvent *);
};

#endif


