#ifndef __K3DE_TEXTUREPIXMAP__
#define __K3DE_TEXTUREPIXMAP__

#include <qdialog.h>
#include <qcombo.h>
#include <qbutton.h>
#include <qchkbox.h>
#include <qpushbt.h>
#include <qlined.h> 
#include <qvalidator.h> 
#include <qradiobt.h> 
#include <qframe.h> 
#include <qlabel.h> 
#include <qstring.h> 
#include <qapp.h> 
#include <qtabdialog.h>
#include <qgroupbox.h>
#include <qcombobox.h>
//#include <qfiledialog.h>
#include <qpixmap.h>

#include <kcolorbtn.h> 
#include <kconfig.h> 
#include <klocale.h> 
#include <kprogress.h> 
#include <kcombo.h>

#include <kfiledialog.h>

#include <texture.h>


class	TexturePixmap : public QWidget
{
Q_OBJECT
public:

	TexturePixmap(QWidget *parent,const char *name,texture *t);
	~TexturePixmap();
	virtual void resizeEvent(QResizeEvent *);
	void FilenameChanged(char *);

	texture		*txtptr;
	QString		picname;
	int		mapping;

	QGroupBox	*box;
	QPushButton 	*fileButton, *filter;
	QLineEdit 	*fileEdit;
	QComboBox 	*combo;
	QLabel 		*labelmap, *labelpix,*previewLabel;
	QPixmap		*previewPic;


public slots:
	void FileButtonPushed();
	void FilterButtonPushed();
	void FilenameChanged(const char *);
	void MappingButtonPushed(int);
	

};


#endif

