#include <stdio.h>
#include <string.h>
#include <stdlib.h>

int	count(char *block,char open,char close)
{
	int	o,c;

	c = 0;o = 0;
	while(*block != 0)
	{
		if(*block == open) o++;
		if(*block == close) c++;
		block++;
	}
	//printf("count: %i %i\n",o,c);

	if(o == c) return c;
	return -1;
}

char	*blockptr;

char	*getfirstblock(char *gblock)
{
	char	*inblock,*cp,*cp2;

	printf("getfirstblock: %s\n",gblock);

	if(count(gblock,'{','}') == -1) return 0;
	if(count(gblock,'{','}') == 0 || *gblock != '{')
	{
		blockptr = strchr(gblock,';');
		if(!(strchr(gblock,'{') < blockptr && strchr(gblock,'}') > blockptr))
		{
			inblock = (char*)malloc(blockptr - gblock);
			memcpy(inblock,gblock,blockptr - gblock);
			inblock[blockptr - gblock] = 0;

			return inblock;
		}
	}

	inblock = gblock;
	cp = inblock;
	while(strchr(" \t\n",*cp) != 0) cp++;
	cp2 = inblock + strlen(inblock) + 1;
	while(strchr(" \t\n",*cp2) != 0) cp2--;
	inblock = (char*)malloc(cp2 - cp + 1);
	memcpy(inblock,cp,cp2 - cp + 1);
	inblock[cp2 - cp + 1] = 0;

	return inblock;
}

char	*innerblock(char *gblock)
{
	char	*inblock,*cp,*cp2;

	//printf("innerblock: %s\n",gblock);

	inblock = gblock;
	cp = inblock + 1;
	while(strchr(" \t\n",*cp) != 0) cp++;
	cp2 = inblock + strlen(inblock);
	while(strchr(" \t\n",*cp2) != 0) cp2--;
	inblock = (char*)malloc(cp2 - cp + 1);
	memcpy(inblock,cp,cp2 - cp);
	inblock[cp2 - cp + 1] = 0;

	return inblock;
}

char	*stripblock(char *gblock)
{
	char	*inblock,*cp,*cp2;

	//printf("stripblock: %s\n",gblock);

	cp = gblock;
	while(strchr(" \t\n",*cp) != 0) cp++;
	cp2 = gblock + strlen(gblock);
	while(strchr(" \t\n",*cp2) != 0) cp2--;
	inblock = (char*)malloc(cp2 - cp + 1);
	memcpy(inblock,cp,cp2 - cp + 1);
	inblock[cp2 - cp + 1] = 0;

	return inblock;
}

char	*getnextblock()
{
	char	*inblock,*cp,*cp2;

	if(blockptr == 0) return 0;

	cp = blockptr + 1;
	if(*cp == 0) return 0;

	printf("getnextblock: %s\n",cp);

	if(count(cp,'{','}') == -1) return 0;
	if(count(cp,'{','}') == 0 || *cp != '{')
	{
		blockptr = strchr(cp + 1,';');
		if(!(strchr(cp,'{') < blockptr && strchr(cp,'}') > blockptr))
		{
			if(blockptr == 0) return 0;
			inblock = (char*)malloc(blockptr - cp);
			memcpy(inblock,cp,blockptr - cp);
			inblock[blockptr - cp] = 0;

			return inblock;
		}
	}

	return 0;
}

int	testblock(char *block)
{
	int	bid;

	//printf("testblock: %s\n",block);

	if(*block == '{') bid = 0;
	else if(strncmp("bool",block,4) == 0) bid = 1;
	else if(strncmp("char",block,4) == 0) bid = 1;
	else if(strncmp("int",block,3) == 0) bid = 1;
	else if(strncmp("real",block,4) == 0) bid = 1;
	else if(strncmp("vector",block,6) == 0) bid = 1;
	else if(strncmp("object",block,6) == 0) bid = 1;
	else if(strncmp("if",block,2) == 0) bid = 3;
	else if(strncmp("then",block,4) == 0) bid = 4;
	else if(strncmp("else",block,4) == 0) bid = 5;
	else
	{
		bid = 2;
	}

	return bid;
}


int	adddim(char *block,int depth)
{
	printf("addim: %s\n",block);

	return -1;
}

int	evalblock(char *block,int depth)
{
	printf("evalblock: %s\n",block);

	return -1;
}

int	ifblock(char *block,int depth)
{
	printf("ifblock: %s\n",block);

	return -1;
}

int	elseblock(char *block,int depth)
{
	printf("elseblock: %s\n",block);

	return -1;
}

int	thenblock(char *block,int depth)
{
	printf("thenblock: %s\n",block);

	return -1;
}

int	parseblock(char *gblock,int depth)
{
	char	*block;
	char	*tmp;

	printf("parseblock: %s\n",gblock);

	block = getfirstblock(gblock);
	while(block != 0)
	{
		tmp = stripblock(block);
		switch(testblock(tmp))
		{
			case 0: // Block
			{
				char	*tmp2;

				tmp2 = innerblock(tmp);
				parseblock(tmp2,depth + 1);
				free(tmp2);
			}
			break;
			case 1: // DIM-Block
				adddim(tmp,depth);
			break;
			case 2: // EVAL-Block
				evalblock(tmp,depth);
			break;
			case 3: // IF-Block
				ifblock(tmp,depth);
			break;
			case 4: // THEN-Block
				thenblock(tmp,depth);
			break;
			case 5: // ELSE-Block
				elseblock(tmp,depth);
			break;
		}
		if(tmp) free(tmp);
		if(block) free(block);
		block = getnextblock();
	}

	return 0;
}

void	main()
{
//	char	test[] = "{ int i = 0; int t; i = i + 1; t = t + i; if(t == 100)then{t = 0;}else{t = t - 1;} }";
	char	test[] = "{ if(t == 100)then{t = 0;}else{t = t - 1;} ; t = 0;}";

	parseblock(test,0);
}

