#ifndef blobobject_inc
#define blobobject_inc

#include "csgobj.h"


class blobobj : public csgobj
{
protected:
	
	double strength;	

public:
		
	blobobj(base *b=0,char *n="Untitled",double str = 2,texture *t=0);
	blobobj(base *b,char *n,double str,Vector3&,Vector3&,Vector3&);
	blobobj(base *b,char *n,double str,texture *t,Vector3&,Vector3&,Vector3&);
	blobobj(base *b,blobobj *bc);
	~blobobj();

	virtual int	exportPOV(FILE *,int,int) = 0;

	virtual int	addToParent(base *) = 0;
	virtual int	removeFromParent() = 0;

	virtual void	dumpNames(int,int) = 0;

	virtual int	draw(view*,Matrix44) = 0; 

	int		isBlobObject();
};

#endif
