#ifndef __BODY_H__
#define __BODY_H__

#include "dim.h"

#include <texture.h>
#include <texturemap.h>

class body : public dim
{
protected:
	texture		*texptr;

public:
	body(base *p = NULL,char *n="Untitled",texture *t=0);
	body(base *p,char *n,Vector3&,Vector3&,Vector3&);
	body(base *p,char *n,texture*,Vector3&,Vector3&,Vector3&);
	body(base *p,body*);
	~body();

	virtual int	exportPOV(FILE*,int tab,int tabsize) = 0; 

	virtual int	addToParent(base*) = 0;
	virtual int	removeFromParent() = 0;

	void		setTexture(texture *t);
	texture		*getTexture();
	int		saveTexture(FILE *fp);
	int		loadTexture(FILE *fp,int);

	texture		*findTexture(char *n);

	virtual int	draw(view*,Matrix44) = 0; 

};

#endif	
