#include <stdio.h>
#include <stdlib.h>
#include <string.h>


#include "boundingbox.h"
#include "view.h"


boundingbox::boundingbox()
{
	calculate();
}

boundingbox::~boundingbox()
{
}

int	boundingbox::drawBB(view *v,Matrix44 m)
{
	Vector3	p,vx,vy,vz;

	//printf("BoundingBox\n");

	calculate();

	p = Vector3((vmin[0] + vmax[0]) / 2,(vmin[1] + vmax[1]) / 2,(vmin[2] + vmax[2]) / 2);
	vx = Vector3((vmax[0] - vmin[0]) / 2,0,0);
	vy = Vector3(0,(vmax[1] - vmin[1]) / 2,0);
	vz = Vector3(0,0,(vmax[2] - vmin[2]) / 2);

	v->drawBox(p,vx,vy,vz,m);

	return 0;
}

Vector3	boundingbox::min()
{
	return vmin;
}

Vector3	boundingbox::max()
{
	return vmax;
}


