#ifndef __BOX_H__
#define __BOX_H__

#include <stdio.h>
#include "csgobj.h"

class box : public csgobj
{
public:
	box(base *b=0,char *n="Untitled",texture *t=0); 
	box(base *b,char *n,Vector3&,Vector3&,Vector3&); 
	box(base *b,char *n,texture *t,Vector3&,Vector3&,Vector3&); 
	box(base *b,box *bc); 
	~box();

	virtual int	addToParent(base *p);
	virtual int	removeFromParent();

	virtual base	*copy(base *p);

	virtual int	exportPOV(FILE *, int, int);
	virtual void	dumpNames(int, int);

	virtual int	save(FILE*);	
	virtual int	load(FILE*,int);

	virtual int	draw(view *,Matrix44);

	virtual int	calculate();
};

#endif
