#ifndef __CSGOBJ__
#define __CSGOBJ__

#include "atom.h"

class csgobj : public atom
{
public:
	csgobj(base *p=0,char *n = "Untitled",texture *t=0);
	csgobj(base *p,char *n,Vector3&,Vector3&,Vector3&); 
	csgobj(base *p,char *n,texture *t,Vector3&,Vector3&,Vector3&); 
	csgobj(base *p,csgobj *cc); 
	~csgobj();

	virtual int	exportPOV(FILE*,int tab,int tabsize) = 0; 

	virtual void	dumpNames(int tab,int tabsize);

	virtual int	addToParent(base *parent) = 0;
	virtual int	removeFromParent() = 0; 

	virtual int	draw(view*,Matrix44) = 0; 
};

#endif

