#include <stdio.h> 
#include <stdlib.h> 
#include <string.h> 

#include "lightobj.h"

lightobj::lightobj(base *p,char *n) :
	csgobj(p,n)
{
	numtype = NUM_LIGHTOBJ;
}

lightobj::lightobj(base *p,char *n,Vector3 &vs,Vector3 &vr,Vector3 &vt) :
	csgobj(p,n,vs,vr,vt)
{
	numtype = NUM_LIGHTOBJ;
}

lightobj::lightobj(base *p,lightobj *lc) :
	csgobj(p,(csgobj*)lc)
{
	numtype = NUM_LIGHTOBJ;
}

lightobj::~lightobj()
{
}

void	lightobj::dumpNames(int tab,int) 
{
	printTab(stdout,tab);
	printf("lightobj: %s\n",name);
}

int	lightobj::addToParent(base *parent)
{
	if(!parent) return -2;
	return parent->addChild(this);
}

