#ifndef __PLANE_H__
#define __PLANE_H__

#include "csgobj.h"
#include "view.h"

class plane : public csgobj
{
public:
	plane(base *b=0,char *n="Untitled",texture *t=0);
	plane(base *b,char *n,Vector3&,Vector3&,Vector3&);
	plane(base *b,char *n,texture *t,Vector3&,Vector3&,Vector3&);
	plane(base *b,plane *pc);
	~plane();

	virtual int	exportPOV(FILE *, int, int);
	virtual void	dumpNames(int, int);

	virtual int 	addToParent(base *);
	virtual int 	removeFromParent();

	virtual base	*copy(base*);

	virtual	int	save(FILE*);
	virtual	int	load(FILE*,int);

	virtual int	draw(view*,Matrix44);
	virtual int	calculate()
	{
		vmin = vmax = Vector3(0,0,0);

		return 0;
	};
	virtual int	isFinite() {return 0;};
};

#endif
