#ifndef __POLY_H__
#define __POLY_H__

#include <stdio.h>
#include "csgobj.h"



class poly:public csgobj
{
public:

	int order;
	int count;
	double koeff[134]; 
	long MaxKoeff;

	poly(base *b=NULL, char *n="Untitled",int order=3);
	~poly();

	void AddKoeff(double k);
	void Reset();
	void NewOrder(int);
	
	virtual int addToParent(base *p);
	virtual void dumpNames(int,int);

	virtual int exportPOV(FILE *, int, int);
	virtual int save(FILE *);
	virtual int load(FILE *,int);
};

#endif
