#ifndef __MISC_H__
#define __MISC_H__

//
// debug stuff
//

#ifdef DEBUG_CALL
#define dbcall(a)	{  printf("%s %i call: %s\n",__FILE__,__LINE__,#a); (a); }
#else
#define dbcall(a) {(a);}
#endif

#ifdef DEBUG_EVAL
#define dbeval(a)	{  printf("%s %i eval: %s = %i\n",__FILE__,__LINE__,#a,a); }
#else
#define dbeval(a) {}
#endif

#ifdef DEBUG_FREE
#define free(a)	{ call( free(a));}
#endif

#ifdef DEBUG_HERE
#define dbhere()	{  printf("%s %i\n",__FILE__,__LINE__); }
#else
#define dbhere() {}
#endif

#define MIN(a,b)	((a)<(b)?(a):(b))
#define MAX(a,b)	((a)>(b)?(a):(b))

#define MIN3(a,b,c)	(MIN(a,MIN(b,c)))
#define MAX3(a,b,c)	(MAX(a,MAX(b,c)))

#define printTab(a,b)	{ int i; for(i = 0;i < (b);i++) fprintf((a)," ");}

#endif



