#ifndef __K3DE_TEXTURECOLOR__
#define __K3DE_TEXTURECOLOR__

#include <qdialog.h>
#include <qframe.h> 
#include <qlabel.h> 
#include <qstring.h> 
#include <qtabdialog.h>

#include <kcolorbtn.h> 
#include <qspinbox.h>
#include <qpushbutton.h>
//#include <qslider.h>

class QSlider;

#include <texture.h>

#include "texturepixmap.h"
#include "colormapwidget.h"

class	TextureColor : public QWidget
{
Q_OBJECT
protected:

	TexturePixmap		*map;
	ColorMapWidget		*cmw;

	QLabel			*fnlabel;
	QComboBox		*fncombo;

	QLabel			*turblabel;
	QLineEdit		*turbline;

	texture			*txtptr;

public:
	
	TextureColor(QWidget *parent,const char *name,texture *t);
	~TextureColor();

	texture		*getTexture();

public:

	void	paintEvent(QPaintEvent *);
};


#endif

